Login
[x]
Log in using an account from:
Fedora Account System
Red Hat Associate
Red Hat Customer
Or login using a Red Hat Bugzilla account
Forgot Password
Login:
Hide Forgot
Create an Account
Red Hat Bugzilla – Attachment 311657 Details for
Bug 455154
upsdrvctl can't open /dev/bus/usb/004/002
[?]
New
Simple Search
Advanced Search
My Links
Browse
Requests
Reports
Current State
Search
Tabular reports
Graphical reports
Duplicates
Other Reports
User Changes
Plotly Reports
Bug Status
Bug Severity
Non-Defaults
|
Product Dashboard
Help
Page Help!
Bug Writing Guidelines
What's new
Browser Support Policy
5.0.4.rh83 Release notes
FAQ
Guides index
User guide
Web Services
Contact
Legal
This site requires JavaScript to be enabled to function correctly, please enable it.
/etc/init.d/ups with fix
ups (text/plain), 2.73 KB, created by
Rick Richardson
on 2008-07-13 05:26:57 UTC
(
hide
)
Description:
/etc/init.d/ups with fix
Filename:
MIME Type:
Creator:
Rick Richardson
Created:
2008-07-13 05:26:57 UTC
Size:
2.73 KB
patch
obsolete
>#! /bin/bash ># ># ups: Starts the Network UPS Tools ># ># chkconfig: - 26 74 ># description: Network UPS Tools is a collection of programs which provide a common \ ># interface for monitoring and administering UPS hardware. ># processname: upsd ># config: /etc/ups/ ># config: /etc/sysconfig/ups ># >### BEGIN INIT INFO ># Provides: ups ># Required-Start: $syslog $network $named ># Default-Stop: 0 1 6 ># Short-Description: Starts the Network UPS tools ># Description: Network UPS Tools is a collection of programs which provide a common \ ># interface for monitoring and administering UPS hardware. >### END INIT INFO > ># Source function library. >if [ -f /etc/init.d/functions ]; then > . /etc/init.d/functions >elif [ -f /etc/rc.d/init.d/functions ]; then > . /etc/rc.d/init.d/functions >else > exit 0 >fi > ># Get config. >if [ -f /etc/sysconfig/ups ]; then > . /etc/sysconfig/ups >else > SERVER="no" >fi > >start() { > if [ "$SERVER" = "yes" ]; then >chmod 666 /dev/bus/usb/004/002 # RER 12/29/07 > echo -n $"Starting UPS driver controller: " > daemon /sbin/upsdrvctl start > /dev/null 2>&1 && success || failure > RETVAL=$? > echo > > prog="upsd" > echo -n $"Starting $prog: " > daemon /usr/sbin/upsd $UPSD_OPTIONS > /dev/null 2>&1 && success || failure > if [ "$RETVAL" = 0 ]; then > RETVAL=$? > fi > echo > > echo -n $"Starting UPS monitor (master): " > daemon /usr/sbin/upsmon > /dev/null 2>&1 && success || failure > if [ "$RETVAL" = 0 ]; then > RETVAL=$? > fi > echo > else > echo -n $"Starting UPS monitor (slave): " > daemon /usr/sbin/upsmon > /dev/null 2>&1 && success || failure > echo > fi > > [ "$RETVAL" = 0 ] && touch /var/lock/subsys/ups >} > >stop() { > echo -n $"Stopping UPS monitor: " > killproc upsmon > echo > > if [ "$SERVER" = "yes" ]; then > prog="upsd" > echo -n $"Stopping $prog: " > killproc upsd > /dev/null 2>&1 && success || failure > RETVAL=$? > echo > > echo -n $"Shutting down upsdrvctl: " > /sbin/upsdrvctl stop > /dev/null 2>&1 && success || failure > if [ "$RETVAL" = 0 ]; then > RETVAL=$? > fi > echo > fi > [ "$RETVAL" = 0 ] && rm -f /var/lock/subsys/ups >} > >restart() { > stop > start >} > >reload() { > # FIXME: upsd and upsmon always return 0 > # => can't tell if reload was successful > if [ "$SERVER" = "yes" ]; then > action "Reloading upsd:" /usr/sbin/upsd -c reload > RETVAL=$? > fi > action "Reloading upsmon:" /usr/sbin/upsmon -c reload > if [ "$RETVAL" = 0 ]; then > RETVAL=$? > fi >} > ># See how we are called. >case "$1" in > start) > start ;; > > stop) > stop ;; > > restart) > restart ;; > > try-restart) > [ -f /var/lock/subsys/ups ] && restart || : > ;; > > reload) > reload ;; > > force-reload) > restart ;; > > status) > if [ "$SERVER" = "yes" ]; then > status upsd > fi > status upsmon > ;; > > *) > echo $"Usage: $0 {start|stop|restart|try-restart|reload|force-reload|status}" > RETVAL=3 >esac > >exit $RETVAL
You cannot view the attachment while viewing its details because your browser does not support IFRAMEs.
View the attachment on a separate page
.
View Attachment As Raw
Actions:
View
Attachments on
bug 455154
: 311657